<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: BiosFriendInfo Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d49/class_bios_friend_info.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">BiosFriendInfo Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="../../de/d49/class_bios_friend_info.html" title="BiosFriendInfo represents friend information.">BiosFriendInfo</a> represents friend information.  
 <a href="../../de/d49/class_bios_friend_info.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:af02087c91ff7bcd9ded5790b13ea37ac"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/class_bios_friend_info.html#af02087c91ff7bcd9ded5790b13ea37ac">Compare</a> (<a class="el" href="../../de/d49/class_bios_friend_info.html">BiosFriendInfo</a> a, <a class="el" href="../../de/d49/class_bios_friend_info.html">BiosFriendInfo</a> b)</td></tr>
<tr class="separator:af02087c91ff7bcd9ded5790b13ea37ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a8f52f6538805ba81488262831ef07e0d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/class_bios_friend_info.html#a8f52f6538805ba81488262831ef07e0d">m_Uid</a></td></tr>
<tr class="memdesc:a8f52f6538805ba81488262831ef07e0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Uid of the friend.  <a href="../../de/d49/class_bios_friend_info.html#a8f52f6538805ba81488262831ef07e0d">More...</a><br /></td></tr>
<tr class="separator:a8f52f6538805ba81488262831ef07e0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f77faeb70054d6d0c178faf423cf519"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/class_bios_friend_info.html#a0f77faeb70054d6d0c178faf423cf519">m_DisplayName</a></td></tr>
<tr class="memdesc:a0f77faeb70054d6d0c178faf423cf519"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Displayable nick name of the friend.  <a href="../../de/d49/class_bios_friend_info.html#a0f77faeb70054d6d0c178faf423cf519">More...</a><br /></td></tr>
<tr class="separator:a0f77faeb70054d6d0c178faf423cf519"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a104077a7365191f3721057c1476d2637"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/class_bios_friend_info.html#a104077a7365191f3721057c1476d2637">m_IsFavorite</a></td></tr>
<tr class="memdesc:a104077a7365191f3721057c1476d2637"><td class="mdescLeft">&#160;</td><td class="mdescRight">Xbox: Is a favorite friend?  <a href="../../de/d49/class_bios_friend_info.html#a104077a7365191f3721057c1476d2637">More...</a><br /></td></tr>
<tr class="separator:a104077a7365191f3721057c1476d2637"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac24f84bf0852f9c143a858b2d147d409"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/class_bios_friend_info.html#ac24f84bf0852f9c143a858b2d147d409">m_IsFollowed</a></td></tr>
<tr class="memdesc:ac24f84bf0852f9c143a858b2d147d409"><td class="mdescLeft">&#160;</td><td class="mdescRight">Xbox: Is this a two-way friendship?  <a href="../../de/d49/class_bios_friend_info.html#ac24f84bf0852f9c143a858b2d147d409">More...</a><br /></td></tr>
<tr class="separator:ac24f84bf0852f9c143a858b2d147d409"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../de/d49/class_bios_friend_info.html" title="BiosFriendInfo represents friend information.">BiosFriendInfo</a> represents friend information. </p>

<p class="definition">Definition at line <a class="el" href="../../db/dee/_bios_social_service_8c_source.html#l00004">4</a> of file <a class="el" href="../../db/dee/_bios_social_service_8c_source.html">BiosSocialService.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="af02087c91ff7bcd9ded5790b13ea37ac" name="af02087c91ff7bcd9ded5790b13ea37ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af02087c91ff7bcd9ded5790b13ea37ac">&#9670;&#160;</a></span>Compare()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> BiosFriendInfo::Compare </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d49/class_bios_friend_info.html">BiosFriendInfo</a>&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d49/class_bios_friend_info.html">BiosFriendInfo</a>&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dee/_bios_social_service_8c_source.html#l00011">11</a> of file <a class="el" href="../../db/dee/_bios_social_service_8c_source.html">BiosSocialService.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a0f77faeb70054d6d0c178faf423cf519" name="a0f77faeb70054d6d0c178faf423cf519"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f77faeb70054d6d0c178faf423cf519">&#9670;&#160;</a></span>m_DisplayName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> BiosFriendInfo::m_DisplayName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The Displayable nick name of the friend. </p>

<p class="definition">Definition at line <a class="el" href="../../db/dee/_bios_social_service_8c_source.html#l00007">7</a> of file <a class="el" href="../../db/dee/_bios_social_service_8c_source.html">BiosSocialService.c</a>.</p>

</div>
</div>
<a id="a104077a7365191f3721057c1476d2637" name="a104077a7365191f3721057c1476d2637"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a104077a7365191f3721057c1476d2637">&#9670;&#160;</a></span>m_IsFavorite</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> BiosFriendInfo::m_IsFavorite</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Xbox: Is a favorite friend? </p>

<p class="definition">Definition at line <a class="el" href="../../db/dee/_bios_social_service_8c_source.html#l00008">8</a> of file <a class="el" href="../../db/dee/_bios_social_service_8c_source.html">BiosSocialService.c</a>.</p>

</div>
</div>
<a id="ac24f84bf0852f9c143a858b2d147d409" name="ac24f84bf0852f9c143a858b2d147d409"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac24f84bf0852f9c143a858b2d147d409">&#9670;&#160;</a></span>m_IsFollowed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> BiosFriendInfo::m_IsFollowed</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Xbox: Is this a two-way friendship? </p>

<p class="definition">Definition at line <a class="el" href="../../db/dee/_bios_social_service_8c_source.html#l00009">9</a> of file <a class="el" href="../../db/dee/_bios_social_service_8c_source.html">BiosSocialService.c</a>.</p>

</div>
</div>
<a id="a8f52f6538805ba81488262831ef07e0d" name="a8f52f6538805ba81488262831ef07e0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f52f6538805ba81488262831ef07e0d">&#9670;&#160;</a></span>m_Uid</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> BiosFriendInfo::m_Uid</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The Uid of the friend. </p>

<p class="definition">Definition at line <a class="el" href="../../db/dee/_bios_social_service_8c_source.html#l00006">6</a> of file <a class="el" href="../../db/dee/_bios_social_service_8c_source.html">BiosSocialService.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Services/<a class="el" href="../../db/dee/_bios_social_service_8c_source.html">BiosSocialService.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/d49/class_bios_friend_info.html">BiosFriendInfo</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
